package org.dromara.main.service;

import com.sun.tools.javac.Main;
import org.dromara.main.domain.MainMessage;
import org.dromara.main.domain.bo.MainMessageBo;
import org.dromara.main.domain.vo.MainMessageVo;

import java.util.Collection;
import java.util.List;

/**
 * @author chenYing
 * @date 2026-04-03 14:04:42
 **/
public interface IMainMessageService {
    List<MainMessageVo> queryList(MainMessageBo bo);

    MainMessageVo queryById(Long id);

    Boolean updateByBo(MainMessageBo bo);

    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    Boolean insertByBo(MainMessageBo bo);

    // 获取满足条件的记录数（用于未读数统计）
    Long selectCount(MainMessageBo bo);

    // 将该学生的所有消息标为已读
    Boolean markAllAsRead(Long studentId);

    Boolean markRead(Long id);




}
